Reports

Sources - referer

Returns order source domain performance for the selected period. Responses are capped
at 1500 grouped rows.

GET /api/v1/store/reports/sources

Sources - referer

curl --request GET \
  --url 'https://{baseUrl}/api/v1/store/reports/sources' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "meta": {
    "report_link": "https://app.metorik.com/reports/sources"
  },
  "data": [
    {
      "domain": "google.com",
      "count": 82,
      "total": 12450.5,
      "total_refunds": 210,
      "total_taxes": 1024.34,
      "total_shipping": 531.2,
      "total_fees": 88.4,
      "average": 151.84,
      "net": 11820.9,
      "average_net": 144.16
    }
  ]
}

No response description.

Authorizations

  • Authorization string required header

    Generate a store API key from the store's Metorik API settings in Metorik, and choose the scopes needed for the endpoints you want to call.

Query Parameters

  • end_date string required

    End date in the store timezone using YYYY-MM-DD format. Example: 2026-02-28

  • order_filters string

    Optional JSON-encoded array of order-level filters applied before calculating the report. See Order Filters Reference. Cannot be combined with segment. Example: [{"field":"billing_address_country","operator":"eq","value":"US"}]

  • segment integer

    Optional saved store-wide order segment ID. You can find the ID on the order segments page. Example: 123

  • specific string

    Optional partial domain filter. Responses are capped at 1500 grouped rows. Example: google

  • start_date string required

    Start date in the store timezone using YYYY-MM-DD format. Example: 2026-02-01

Headers

  • Accept string required

    Response format header. Example: application/json

Response

application/json
  • meta object
    + Show Child Attributes
    • report_link string
  • data[] object array
    + Show Child Attributes
    • domain string
    • count integer
    • total number
    • total_refunds integer
    • total_taxes number
    • total_shipping number
    • total_fees number
    • average number
    • net number
    • average_net number